##############################################################################
#
# Copyright (c) 2001, 2002 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""

Revision information:
$Id: ILifeCycle.py,v 1.1.2.1 2002/12/11 10:07:17 jack-e Exp $
"""
from Interface.Attribute import Attribute

from Zope.Event.IEvent import IEvent

class ILifeCycleEvent(IEvent):
    """The Base interface for LifeCycle Events"""

class IZopeStartupEvent(ILifeCycleEvent):
    """The ZopeStartupEvent"""

class IZopeShutdownEvent(ILifeCycleEvent):
    """The ZopeShutdownEvent"""



