##############################################################################
#
# Copyright (c) 2001, 2002 Zope Corporation and Contributors.
# All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
# 
##############################################################################
__doc__ = """ Interface for Managed Threads

$Id: IManagedThread.py,v 1.1.2.1 2002/12/11 10:19:51 jack-e Exp $"""


from Interface import Interface

class IManagedThread(Interface):
    """A ManagedThread.
    """

    def start(_zodb, *args, **kw):
        """Start Working.
        """

    def stop(timeout):
        """Notify and wait for Shutdown.
        """

    def isRunning():
        """Return True if Thread is running.
        """
