##############################################################################
#
# Copyright (c) 2001, 2002 Zope Corporation and Contributors.
# All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
# 
##############################################################################
__doc__ = """ Interface for ThreadManager Utility

$Id: IThreadManager.py,v 1.1.2.1 2002/12/11 10:19:51 jack-e Exp $"""


from Interface import Interface

class IThreadManager(Interface):
    """ThreadManager Utility.
    """

    def add(name, thread_object, *args, **kw):
        """add new named ThreadObject and start
        """

    def remove(name, timeout):
        """Stop a named Thread with timeout and remove
        """

    def get(name):
        """Return named ThreadObject"""

    def names():
        """Return thread names."""
